Update an existing subaccount
curl --request PATCH \
--url https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fees": [
{
"type": "ADVISORY",
"rate": 0.01,
"startDate": "2023-12-01"
}
]
}
'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId}"
payload = { "fees": [
{
"type": "ADVISORY",
"rate": 0.01,
"startDate": "2023-12-01"
}
] }
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({fees: [{type: 'ADVISORY', rate: 0.01, startDate: '2023-12-01'}]})
};
fetch('https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Update an existing subaccount
Permissions required: Subaccount
Update a subaccount
PATCH
/
subaccounts
/
accounts
/
{subaccountId}
Update an existing subaccount
curl --request PATCH \
--url https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId} \
--header 'Api-Access-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"fees": [
{
"type": "ADVISORY",
"rate": 0.01,
"startDate": "2023-12-01"
}
]
}
'import requests
url = "https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId}"
payload = { "fees": [
{
"type": "ADVISORY",
"rate": 0.01,
"startDate": "2023-12-01"
}
] }
headers = {
"Api-Access-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Api-Access-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({fees: [{type: 'ADVISORY', rate: 0.01, startDate: '2023-12-01'}]})
};
fetch('https://api.anchorage-staging.com/v2/subaccounts/accounts/{subaccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf"
}
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}{
"errorType": "InternalError",
"message": "Missing required field 'amount'."
}Authorizations
An API key associated with a security role
Path Parameters
Unique Identifier for the subaccount
Body
application/json
Details of the subaccount to open for the customer
Response
Successfully updated the subaccount
Show child attributes
Show child attributes
Was this page helpful?